AGPoolConfig (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.pool, class: AGPoolConfig

Package com.franz.agraph.pool

# Class AGPoolConfig

java.lang.Object
org.apache.commons.pool2.BaseObject
org.apache.commons.pool2.impl.BaseObjectPoolConfig
org.apache.commons.pool2.impl.GenericObjectPoolConfig
com.franz.agraph.pool.AGPoolConfig

All Implemented Interfaces:
  `Cloneable`

public class AGPoolConfig extends GenericObjectPoolConfig
Extension to `GenericObjectPoolConfig` to add more properties.

Since:
  v4.3.3
See Also:
  - `AGPoolProp`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_INITIAL_SIZE`
  `static final boolean`
  `DEFAULT_SHUTDOWN_HOOK`
  `final int`
  `initialSize`
  `final boolean`
  `shutdownHook`

  ### Fields inherited from class org.apache.commons.pool2.impl.GenericObjectPoolConfig

  `DEFAULT_MAX_IDLE, DEFAULT_MAX_TOTAL, DEFAULT_MIN_IDLE`

  ### Fields inherited from class org.apache.commons.pool2.impl.BaseObjectPoolConfig

  `DEFAULT_BLOCK_WHEN_EXHAUSTED, DEFAULT_DURATION_BETWEEN_EVICTION_RUNS, DEFAULT_EVICTION_POLICY_CLASS_NAME, DEFAULT_EVICTOR_SHUTDOWN_TIMEOUT, DEFAULT_EVICTOR_SHUTDOWN_TIMEOUT_MILLIS, DEFAULT_FAIRNESS, DEFAULT_JMX_ENABLE, DEFAULT_JMX_NAME_BASE, DEFAULT_JMX_NAME_PREFIX, DEFAULT_LIFO, DEFAULT_MAX_WAIT, DEFAULT_MAX_WAIT_MILLIS, DEFAULT_MIN_EVICTABLE_IDLE_DURATION, DEFAULT_MIN_EVICTABLE_IDLE_TIME, DEFAULT_MIN_EVICTABLE_IDLE_TIME_MILLIS, DEFAULT_NUM_TESTS_PER_EVICTION_RUN, DEFAULT_SOFT_MIN_EVICTABLE_IDLE_DURATION, DEFAULT_SOFT_MIN_EVICTABLE_IDLE_TIME, DEFAULT_SOFT_MIN_EVICTABLE_IDLE_TIME_MILLIS, DEFAULT_TEST_ON_BORROW, DEFAULT_TEST_ON_CREATE, DEFAULT_TEST_ON_RETURN, DEFAULT_TEST_WHILE_IDLE, DEFAULT_TIME_BETWEEN_EVICTION_RUNS, DEFAULT_TIME_BETWEEN_EVICTION_RUNS_MILLIS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGPoolConfig(Map<AGPoolProp,String> props)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WarmupConfig`
  `getWarmupConfig()`
  `void`
  `setWarmupConfig(WarmupConfig warmupConfig)`

  ### Methods inherited from class org.apache.commons.pool2.impl.GenericObjectPoolConfig

  `clone, getMaxIdle, getMaxTotal, getMinIdle, setMaxIdle, setMaxTotal, setMinIdle`

  ### Methods inherited from class org.apache.commons.pool2.impl.BaseObjectPoolConfig

  `getBlockWhenExhausted, getDurationBetweenEvictionRuns, getEvictionPolicy, getEvictionPolicyClassName, getEvictorShutdownTimeout, getEvictorShutdownTimeoutDuration, getEvictorShutdownTimeoutMillis, getFairness, getJmxEnabled, getJmxNameBase, getJmxNamePrefix, getLifo, getMaxWaitDuration, getMaxWaitMillis, getMinEvictableIdleDuration, getMinEvictableIdleTime, getMinEvictableIdleTimeMillis, getNumTestsPerEvictionRun, getSoftMinEvictableIdleDuration, getSoftMinEvictableIdleTime, getSoftMinEvictableIdleTimeMillis, getTestOnBorrow, getTestOnCreate, getTestOnReturn, getTestWhileIdle, getTimeBetweenEvictionRuns, getTimeBetweenEvictionRunsMillis, setBlockWhenExhausted, setEvictionPolicy, setEvictionPolicyClassName, setEvictorShutdownTimeout, setEvictorShutdownTimeoutMillis, setEvictorShutdownTimeoutMillis, setFairness, setJmxEnabled, setJmxNameBase, setJmxNamePrefix, setLifo, setMaxWait, setMaxWaitMillis, setMinEvictableIdleDuration, setMinEvictableIdleTime, setMinEvictableIdleTimeMillis, setNumTestsPerEvictionRun, setSoftMinEvictableIdleDuration, setSoftMinEvictableIdleTime, setSoftMinEvictableIdleTimeMillis, setTestOnBorrow, setTestOnCreate, setTestOnReturn, setTestWhileIdle, setTimeBetweenEvictionRuns, setTimeBetweenEvictionRunsMillis`

  ### Methods inherited from class org.apache.commons.pool2.BaseObject

  `toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_INITIAL_SIZE

    public static final int DEFAULT_INITIAL_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_SHUTDOWN_HOOK

    public static final boolean DEFAULT_SHUTDOWN_HOOK
    See Also:
      - Constant Field Values

  - ### initialSize

    public final int initialSize
    See Also:
      - `AGPoolProp.initialSize`
      - `DEFAULT_INITIAL_SIZE`

  - ### shutdownHook

    public final boolean shutdownHook
    See Also:
      - `AGPoolProp.shutdownHook`
      - `DEFAULT_SHUTDOWN_HOOK`

- ## Constructor Details

  - ### AGPoolConfig

    public AGPoolConfig(Map<AGPoolProp,String> props)

- ## Method Details

  - ### getWarmupConfig

    public WarmupConfig getWarmupConfig()

  - ### setWarmupConfig

    public void setWarmupConfig(WarmupConfig warmupConfig)